# PerformanceRatingDetailWindow Struct Reference

Inheritance diagram for PerformanceRatingDetailWindow:

## Public Member Functions
| PerformanceRatingDetailWindow (const WindowDesc *desc, WindowNumber window_number)
void | UpdateCompanyStats ()
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | OnPaint ()
| The window must be repainted.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnTick ()
| Called once per (game) tick.
virtual void | OnInvalidateData (int data)
| Invalidate the data of this window.
## Data Fields
int | timeout
uint | score_info_left
uint | score_info_right
uint | bar_left
uint | bar_right
uint | bar_width
uint | bar_height
uint | score_detail_left
uint | score_detail_right
## Static Public Attributes
static CompanyID | company = INVALID_COMPANY

## Detailed Description

Definition at line 1186 of file graph_gui.cpp.

## Member Function Documentation

virtual void PerformanceRatingDetailWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 1283 of file graph_gui.cpp.

References _colour_gradient, _dynlang, Clamp(), DrawString(), GetSpriteSize(), GfxFillRect(), INVALID_COMPANY, IsInsideMM(), Window::IsWidgetDisabled(), ScoreInfo::needed, SA_CENTER, SA_RIGHT, ScoreInfo::score, SCORE_END, SCORE_MAX, SCORE_TOTAL, SetDParam(), TD_RTL, DynamicLanguages::text_dir, and WD_MATRIX_TOP.

virtual void PerformanceRatingDetailWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 1362 of file graph_gui.cpp.

References IsInsideMM(), Window::IsWidgetDisabled(), Window::LowerWidget(), Window::RaiseWidget(), and Window::SetDirty().

virtual void PerformanceRatingDetailWindow::OnInvalidateData | ( | int | data | ) | `[inline, virtual]`

Invalidate the data of this window.

Parameters:

  | data | the company ID of the company that is going to be removed

Reimplemented from Window.

Definition at line 1391 of file graph_gui.cpp.

References COMPANY_FIRST, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, INVALID_COMPANY, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), Window::LowerWidget(), MAX_COMPANIES, Window::RaiseWidget(), and Window::SetWidgetDisabledState().

virtual void PerformanceRatingDetailWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 1277 of file graph_gui.cpp.

References Window::DrawWidgets().

virtual void PerformanceRatingDetailWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 1219 of file graph_gui.cpp.

References _dynlang, FONT_HEIGHT_NORMAL, GetStringBoundingBox(), Window::left, max(), SCORE_END, SetDParam(), TD_RTL, DynamicLanguages::text_dir, WD_FRAMERECT_LEFT, WD_MATRIX_TOP, and Window::width.

The documentation for this struct was generated from the following file:

- src/graph_gui.cpp